Get PR Associated Issue
GET/api/v5/repos/:owner/:repo/pulls/:number/issues
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
number integerrequired
The ordinal number of the PR in this repository, i.e., which PR it is.
Example: 0
Query Parameters
access_token string
User authorization code
page integer
Current page number: defaults to 1
per_page integer
The number of items per page, with a maximum of 100. The default is 20.
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- Example
Schema
- Array [
- Array [
- ]
- ]
numberstring
titlestring
statestring
urlstring
bodystring
user object
idstring
loginstring
namestring
labels object[]
idinteger
namestring
colorstring
created_atstring
updated_atstring
label added time
issue_created_atstring
Issue Creation Time
issue_updated_atstringrequired
Issue Update Time
issue_closed_atstringrequired
Issue close time
[
{
"number": "string",
"title": "string",
"state": "string",
"url": "string",
"body": "string",
"user": {
"id": "string",
"login": "string",
"name": "string"
},
"labels": [
{
"id": 0,
"name": "string",
"color": "string",
"created_at": "string",
"updated_at": "string"
}
],
"issue_created_at": "string",
"issue_updated_at": "string",
"issue_closed_at": "string"
}
]
{
"number": "1",
"title": "stability test",
"state": "open",
"url": "https://api.gitcode.com/api/v5/repos/sytest/paopao/issues/1",
"body": "What is the problem?",
"user": {
"id": "681",
"login": "test",
"name": "test"
},
"labels": [
{
"color": "#008672",
"name": "help wanted",
"id": 381445,
"title": "help wanted",
"type": null,
"textColor": "#FFFFFF"
}
]
}